Forum Linux.debian/ubuntu RPI-Monitor ( Raspberry )

Posté par . Licence CC by-sa
Tags : aucun
1
24
mar.
2015

Bonsoir

je voudrais installé sur mon raspberry RPI-Monitor en suivant ce tuto http://www.geekabarbe.fr/?p=497

mais ça ne se passe pas comme le tuto n'ayant pas envie de faire de bêtise je préfère vous exposer mon probleme .

Au moment de l'installation des dépendances
sudo apt-get install librrds-perl libhttp-daemon-perl libhttp-daemon-ssl-perl.

j'ai l'impression d'avoir un probleme ! qu'en pensez vous ?

DLFP

  • # Un peu vieux comme lien

    Posté par . Évalué à 3.

    Le tuto dont tu parles date de 2013. Ça commence a être un peu ancien.
    Il vaut mieux s'adresser au bon dieu qu'a ses saints: http://rpi-experiences.blogspot.fr/2015/01/rpi-monitor-version-210-is-available.html#more

    Le développement de ce logiciel semble assez actif (version 2.10 de janvier 2015).
    Et oui, un "geek à barbe" lit l'anglais couramment…. ;-)

  • # apt-get

    Posté par . Évalué à 0.

    As-tu fais une mise à jour de tes paquets avec
    apt-get update
    apt-get upgrade

    avant ton apt-get install ?

    • [^] # Re: apt-get

      Posté par . Évalué à 1.

      Bonjour moulator et merci pour ta réponse , je n'ai pas fait de mise a jour
      apt-get update
      apt-get upgrade

      avant apt-get install .

      La derniere fois que j'ai tenté la mise a jour ( Fevrier 2015) ça ma planté les sondes DS1820 ( Bus 1 Wire ) qui sont connecté sur mon raspberry .

      • [^] # Re: apt-get

        Posté par . Évalué à 0.

        Ben oui mais en faisant un apt-get install sans update/upgrade récent tu crées une inconsistance entre ton cache de paquets local et l'état actuel (et changeant) de la repository distante Debian/Raspbian.
        D'où problèmes…

      • [^] # Re: apt-get

        Posté par . Évalué à 2.

        Ça ne ne ne reproduira pas cette fois je pense (sur a + de 90%) il y a eu un changement de kernel avec le RPI2 et le nouveau kernel(3.18.7+) fonctionne avec device tree.
        Cette fonction change pas mal de chose sur l'initialisation des périphériques (en I2C, spi, et 1 wire). Si tu as résolu ton soucis la dernière fois , c'est bon .

        Dans le doute , poste une copie de /boot/config.txt .

        J'ai eu aussi la surprise, j'avais perdu mon écran lcd et mon capteur barométrique (ic2) suite à cette mise à jour. Après quelques recherches j'ai put réparer le tout, ainsi que mon horloge qui ne fonctionnait plus depuis le kernel 3.6.11….

        • [^] # Re: apt-get

          Posté par . Évalué à 1.

          Bonsoir , non je n'ai pas résolu mon probleme de sonde après cette mise a jour de Février , heureusement que j'avais fais une sauvegarde avant de tenter la mise a jour !! j'ai pu refaire marche arrière .

          Je vais attendre d'avoir une autre carte SD avant de retenter la mise a jour ,
          par contre que faut 'il modifier dans config.txt ?

          • [^] # Re: apt-get

            Posté par . Évalué à 2.

            Pour le 1 wire ça devrait être ça : dtoverlay=w1-gpio,gpiopin=4
            Plus les modules habituels dans /etc/modules je pense.
            w1-gpio
            w1-therm

            Les cartes au format "hat" doivent faire ça automatiquement via une lecture de eeprom en i2c (un 2em bus). C'est du plug and play en fait.

            Pour ma part en i2c j'ai mis dans config.txt:
            dtparam=i2c_arm=on
            dtoverlay=pcf2127-rtc

            et dans /etc/modules
            i2c-dev
            i2c_bcm2708
            rtc-pcf2127

            Avec ça tu peux faire toutes tes mises à jours , avec les avantages que cela représente niveau sécurité.

            • [^] # Re: apt-get

              Posté par . Évalué à 1.

              Bonjour cortex62 j'ai suivi ce que tu as ecris , j'ai donc ajouté des lignes a config.txt et dans /etc/modules .

              j'ai rebooter , par contre toujours impossible de faire les mise a jour avec sudo apt-get update.

              Voila le message que j'ai
              Le pilote pour la méthode /usr/lib/apt/methods/https n'a pu être trouvé.

              • [^] # Re: apt-get

                Posté par . Évalué à 2.

                Tu as des sources en https dans ton fichier /etc/apt/sources.list ?!?

                Si c'est le cas remplace par "http" ça devrait résoudre le problème.

                • [^] # Re: apt-get

                  Posté par . Évalué à 1.

                  Non je n'ai pas de source https , j'ai trouvé une solution sans doute un peux brutal!!, j'ai supprimer le dossier apt et je l'ai remplacé par un autre apt d'une sauvegarde , apt-get update a bien fonctionné ,apt-get upgrade est en cours , j'espere que tout va bien se passer au reboot du raspberry

                  • [^] # Re: apt-get

                    Posté par . Évalué à 1.

                    Bonne nouvelle la mise a jour est bien passé ouf !!!

            • [^] # Re: apt-get

              Posté par . Évalué à 1.

              Bonjour cortex62 , Est ce que ma carte SD sera compatible avec un Raspberry 2 avec les modif de config.txt et modules ?

              • [^] # Re: apt-get

                Posté par . Évalué à 1.

                Oui, les modifications ne changent rien la dessus, Pour le Pi2 il faut le dernier kernel ce qui est ton cas maintenant.

                • [^] # Re: apt-get

                  Posté par . Évalué à 1.

                  Bonsoir cortex62 , je viens de m’apercevoir que ma sonde DHT22 sur mon raspberry B révision 2 donne des valeurs erroné de température depuis la mise a jour. cette sonde est branché sur le GPIO 27 Pin 13
                  exemple il fait 17° ma sonde indique 8.4 ° la moitie !! Faut 'il ajouter quelques chose dans config TXT ? merci

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n'en sommes pas responsables.